#!/bin/bash
set -x

BUILD_DIR=build
REPO_DIR=repo
FLATPAK_ID=net.zdechov.app.C-evo

# Install dependencies
flatpak install --system flathub org.freedesktop.Platform//23.08
flatpak install --system flathub org.freedesktop.Sdk//23.08
flatpak install --system flathub org.freedesktop.Sdk.Extension.freepascal//23.08
flatpak install --system flathub org.flatpak.Builder
git clone https://github.com/flathub/shared-modules.git shared-modules
(cd shared-modules && git checkout a9112b9c62e2b84db4c2f6c55c9531fd7e8d03c1)

# Build
flatpak run org.flatpak.Builder --force-clean --sandbox --user --install --ccache --mirror-screenshots-url=https://dl.flathub.org/media/ --repo=$REPO_DIR $BUILD_DIR $FLATPAK_ID.yml

# Run
flatpak run $FLATPAK_ID

# Linter
flatpak run --command=flatpak-builder-lint org.flatpak.Builder manifest $FLATPAK_ID.yml
flatpak run --command=flatpak-builder-lint org.flatpak.Builder repo $REPO_DIR
